[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdActns' (#lcl)

# TCommonDialogAction.Handlestarget

Indicates whether the action is supported for the specified target.

## Declaration

Source position: stdactns.pas line 139

`public function TCommonDialogAction.Handlestarget(`
`Target: TObject`
`):Boolean; override;`

## Arguments

`Target` |  | Not used in TCommonDialogAction. A descendent class must implement GetDialogClass to determine the target.

## Function result

False if a dialog instance has not been assigned for the action.

## Description

Since a class type is not available from GetDialogClass, the return value is always False in TCommonDialogAction. In a descendent class, the return value is True if the internal TCommonDialog instance for the action has been assigned.

## See also

TBasicAction.HandlesTarget